%global srcname PyJWT
%global libname jwt
%global eggname %{srcname}
%global pkgname %{libname}

%global common_description %{expand:
A Python implementation of JSON Web Token draft 01. This library provides a means of
representing signed content using JSON data structures, including claims to be transferred
between two parties encoded as digitally signed and encrypted JSON objects.}

Summary:        JSON Web Token implementation in Python
Name:           python-%{pkgname}
Version:        2.3.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        %pypi_source

BuildArch:      noarch

%description
%{common_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        JSON Web Token implementation in Python
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-cryptography

Requires:  python%{python3_pkgversion}-cryptography

%description -n python%{python3_pkgversion}-%{pkgname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{eggname}.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose tests

%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE
%doc README.rst AUTHORS.rst
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
